## cruft 0.9.32

=== debian/changelog ===
cruft (0.9.32) unstable; urgency=medium

  * add support for ca-certificates-mono, freepascal, Let's Encrypt (certbot)
  * add support for dpkg's transient files,
    running cruft-(ng) and dpkg/apt simultaneously would
    still give erroneous results, but this reduce the noise.
  * update filter for sddm, apt, policykit-1
  * add catch-all for systemd persistent timers timestamps
  * bump Standard-Version to 4.0.0, no change needed
  * use HTTPS url for homepage

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 24 Jun 2017 10:44:53 +0200

=== debian/control ===
Source: cruft
Section: admin
Priority: optional
Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
Build-Depends: debhelper (>= 10~), dh-autoreconf, pngcrush, dia | dia-gnome
Build-Conflicts: autoconf2.13
Standards-Version: 4.0.0
Homepage: https://alioth.debian.org/projects/cruft/
Vcs-Git: https://github.com/a-detiste/cruft.git
Vcs-Browser: https://github.com/a-detiste/cruft

Package: cruft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24~)
Suggests: mailx, cruft-ng
Description: program that finds any cruft built up on your system
 cruft is a program to look over your system for anything that shouldn't
 be there, but is; or for anything that should be there, but isn't.
 .
 It bases most of its results on dpkg's database, as well as a list of
 `extra files' that can appear during the lifetime of various packages.
 .
 cruft is still in pre-release; your assistance in improving its accuracy
 and performance is appreciated.

Package: cruft-common
Architecture: all
Depends: ${misc:Depends}
Breaks: cruft (<< 0.9.24)
Replaces: cruft (<< 0.9.20)
Description: information database shared by cruft & cruft-ng
 cruft & cruft-ng are programs to look over your system for anything
 that shouldn't be there, but is; or for anything that should be there,
 but isn't.
 .
 This package contain extra information about packages
 that are not available in Debian standard packages information
 repositories like dpkg, alternatives, diversions, ...

## cruft 0.9.33

=== debian/changelog ===
cruft (0.9.33) unstable; urgency=medium

  * add filter for libxml-sax-expat-perl, e2fsprogs, openjdk-9-jre-headless,
    python-configparser, mariadb-server, dhcpcd5, nfs-common, dphys-swapfile
  * update filter for screen, sddm
  * check ruleset on a fresh RaspBian image
  * bump Standards-Version to 4.1.0, no change needed

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 24 Sep 2017 14:54:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
-Build-Depends: debhelper (>= 10~), dh-autoreconf, pngcrush, dia | dia-gnome
+Build-Depends: debhelper (>= 10~), pngcrush, dia | dia-gnome
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://alioth.debian.org/projects/cruft/
 Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft

## cruft 0.9.34

=== debian/changelog ===
cruft (0.9.34) unstable; urgency=medium

  * add support for AppArmor, libdvd-pkg (DeCSS), xfce4-session
  * update filter for certbot, postgresql 10, shared-mime-info, systemd,
    base-passwd, lightdm, x2goserver, openjdk-9-jre-headless
  * remove obsolete rules for packages dropped before Stretch release:
    kdbus-dkms, python-reportbug, alsa-base, emacs23-common, gnome-themes,
    lg-base, libclang1-3.4, libllvm3.5, libnet-perl, lsb-core, php5-*,
    python-support, sysklogd, tcl8.4
  * set Rules-Requires-Root: no
  * switch to Debhelper lever 11
  * bump Standards-Version to 4.1.3, no change needed

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 02 Jan 2018 15:29:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
-Build-Depends: debhelper (>= 10~), pngcrush, dia | dia-gnome
-Build-Conflicts: autoconf2.13
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11~), pngcrush, dia
+Standards-Version: 4.1.3
 Homepage: https://alioth.debian.org/projects/cruft/
 Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft
+Rules-Requires-Root: no
 
 Package: cruft
 Architecture: any

## cruft 0.9.35

=== debian/changelog ===
cruft (0.9.35) unstable; urgency=medium

  * add support for libpam-modules-bin, monit, ibus, java-common,
    python3-twisted, lirc, java 10
  * update AppArmor, fontconfig support
  * add support for some Ubuntu-only packages: fonts,...
  * turn python3-pip into a dynamic script, to only track
    current python3 version
  * remove reference to useless Alioth homepage
  * update graphviz

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 12 Aug 2018 19:01:14 +0200

## cruft 0.9.36

=== debian/changelog ===
cruft (0.9.36) unstable; urgency=medium

  * refresh filters for systemd, dpkg, iptables, java

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 05 Jan 2019 14:48:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
 Build-Depends: debhelper (>= 11~), pngcrush, dia
 Standards-Version: 4.1.3
-Homepage: https://alioth.debian.org/projects/cruft/
 Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft
 Rules-Requires-Root: no

## cruft 0.9.37

=== debian/changelog ===
cruft (0.9.37) unstable; urgency=medium

  * switch to Debhelper level 12
  * replace pngcrush (marked for removal) build dependency by optipng equivalent
  * add filter for emacs25, thanks Jörg Sommer (Closes: #918656)
  * update filter for grub, ca-certificates-mono

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 18 Feb 2019 02:28:30 +0100

## cruft 0.9.38

=== Makefile ===
# Makefile for cruft

CFLAGS += -Wall -W -pedantic-errors

INS = install

DATADIRS = explain filters-broken_symlinks filters-unex

DESTDIR = `pwd`/debian/tmp

PROGS1 = canonical filter_shell merge_diff readlinks
PROGS2 = dash-search
PROGS  = $(PROGS1) $(PROGS2)

all: $(PROGS) design.png

install1: $(PROGS1) filter filters_list cruft_find filter_ignores check_type_symlink z_cruft
	mkdir -p $(DESTDIR)/usr/lib/cruft/
	$(INS) $^ $(DESTDIR)/usr/lib/cruft/

install11: common.sh common_legacy.sh common.pl
	mkdir -p $(DESTDIR)/usr/lib/cruft/
	$(INS) -D -m 0644 $^ $(DESTDIR)/usr/lib/cruft/

install2:  $(PROGS2)
	$(INS) -D $< $(DESTDIR)/usr/bin/$<

installdirs: $(DATADIRS)
	set -e ; for d in $^ ; do \
		mkdir -p $(DESTDIR)/usr/lib/cruft/$$d; \
		find $$d -maxdepth 1 -type f | xargs -i cp '{}' $(DESTDIR)/usr/lib/cruft/$$d/; \
	done

install: install1 install11 install2 installdirs cruft
	$(INS) -D cruft $(DESTDIR)/usr/sbin/cruft

clean:
	rm -f $(PROGS) merge_diff.o merge_diff_funcs.o shellexp.o *~ debian/*~ \
	 shellexptest.o shellexptest merge_diff_test.o merge_diff_test \
	 merge_diff_common.o river.o fn_stream.o
	rm -rf merge_diff_tests/*/run
	rm -f design.png

check: shellexptest merge_diff_test
	./test-shellexp
	cd merge_diff_tests && ./test
	echo Checking for trailing whitespaces
	grep -E -R -H " +$$" filters-unex/ || true
	! grep -E -R -q " +$$" filters-unex/
	echo Checking for trailing slashes
	grep -E -R -H "/+$$" filters-unex/ || true
	! grep -E -R -q "/+$$" filters-unex/

shellexptest: shellexptest.o shellexp.o
filter_shell dash-search: shellexp.o
merge_diff_test: merge_diff_test.o merge_diff_funcs.o merge_diff_common.o river.o fn_stream.o
merge_diff:      merge_diff.o      merge_diff_funcs.o merge_diff_common.o river.o fn_stream.o
merge_diff_funcs.o merge_diff_test.o merge_diff_common.o river.o fn_stream.o merge_diff.o: merge_diff_common.h

design.png: design.dia
	unset DISPLAY ; dia --size 800x740 --export tmp-$@ $<
	#pngcrush -q -c 0 tmp-$@ $@
	#rm tmp-$@
	optipng -o 7 tmp-$@
	mv tmp-$@ $@

.PHONY: all clean install check

=== debian/changelog ===
cruft (0.9.38) unstable; urgency=medium

  * drop useless & hurtfull autoconf, this is a native package
  * reapply pngcrush->optipng patch to correct Makefile

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 18 Feb 2019 10:57:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
-Build-Depends: debhelper (>= 11~), pngcrush, dia
+Build-Depends:
+  debhelper (>= 12~),
+# pngcrush,
+  optipng,
+  dia,
 Standards-Version: 4.1.3
 Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft

## cruft 0.9.38+nmu1

=== debian/changelog ===
cruft (0.9.38+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:06:09 +0800

## cruft 0.9.39

=== debian/changelog ===
cruft (0.9.39) unstable; urgency=medium

  * update plymouth, systemd, sddm, unattended-upgrades, cups, aptitude,
    appstream, network-manager, apparmor, apache2, mono-runtime, php
  * add mosquitto, wordpress, janus, motion, snapd, jupyter,
    mpd, npm, tinyproxy
  * fix 2 scripts not to read dpkg internal database (944926), W-I-P
  * switch to DebHelper 13
  * bump Standards Version to 4.5.0, no change needed

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 19 May 2020 12:22:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
 Build-Depends:
-  debhelper (>= 12~),
+  debhelper-compat (= 13),
 # pngcrush,
   optipng,
   dia,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft
 Rules-Requires-Root: no

## cruft 0.9.40

=== debian/changelog ===
cruft (0.9.40) unstable; urgency=low

  * Add support for UCF, as used by e.g. libreoffice (Closes: #499792)
  * Debian Janitor: Remove constraints unnecessary since buster.
  * Update filters for: google-chrome, systemd, smartmontools, jupyter,
    nmap, grub, python3.10

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 31 Dec 2021 03:49:05 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: cruft
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common
 Suggests: mailx, cruft-ng
 Description: program that finds any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't
@@ -29,8 +29,6 @@
 Package: cruft-common
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: cruft (<< 0.9.24)
-Replaces: cruft (<< 0.9.20)
 Description: information database shared by cruft & cruft-ng
  cruft & cruft-ng are programs to look over your system for anything
  that shouldn't be there, but is; or for anything that should be there,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_fixperms-arch:
	dh_fixperms
	chmod 700 debian/cruft/var/spool/cruft

override_dh_perl:
	dh_perl -d

## cruft 0.9.42

=== debian/changelog ===
cruft (0.9.42) unstable; urgency=medium

  * Revert attempt at lintian mitigation, as it fails on buildd.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 18 Apr 2022 21:43:15 +0200

cruft (0.9.41) unstable; urgency=medium

  * bump Standards Version to 4.5.0, no change needed
  * Add new filters for: Gtk4, RabbitMQ
  * Update filters for: sddm, systemd, ocaml, plymouth, virtualbox,
    PHP, postgresql, AppStream, wine, debianutils

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 18 Apr 2022 20:59:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # pngcrush,
   optipng,
   dia,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft
 Rules-Requires-Root: no

## cruft 0.9.43

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PROGS2 = dash-search
 PROGS  = $(PROGS1) $(PROGS2)
 
-all: $(PROGS) design.png
+all: $(PROGS)
 
 install1: $(PROGS1) filter filters_list cruft_find filter_ignores check_type_symlink z_cruft
 	mkdir -p $(DESTDIR)/usr/lib/cruft/
@@ -59,8 +59,6 @@
 
 design.png: design.dia
 	unset DISPLAY ; dia --size 800x740 --export tmp-$@ $<
-	#pngcrush -q -c 0 tmp-$@ $@
-	#rm tmp-$@
 	optipng -o 7 tmp-$@
 	mv tmp-$@ $@

=== debian/changelog ===
cruft (0.9.43) unstable; urgency=medium

  "So Long, and Thanks for All the Fish"

  UsrMerge #941998 breaks the legacy cruft engine and I don't have
  enough Perl knoweledge or time to fix it.
  Unless someones step in to help it will be it's last release
  including the legacy engine bash+Perl+C engine.

  cruft-common database lives on:
  * add one lib64/ UsrMerge hint
  * catch up with new lintian override format
  * replace use of "egrep" with "grep -E"
  * Gtk2 removal
    * better split of Gtk 2/3/4 files detection
    * remove build dependency on "dia", which is Gtk2 based.
  * python2 removal: misc leaf packages removed from archive
  * remove old java versions
  * update: wine, system, apt-cacher-ng, RabbitMQ
  * add: omnidb-server, cron-daemon-common
  * /var/spool/cruft only belongs to legacy cruft engine
  * bump Standards-Version: to 4.6.1.0

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 21 Sep 2022 23:37:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,7 @@
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
 Build-Depends:
   debhelper-compat (= 13),
-# pngcrush,
-  optipng,
-  dia,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft
 Rules-Requires-Root: no
